# -*-coding:utf-8 -*- #
# --------------------------------------------------------------------------
# ProjectName: protest
# FileName: test_bpm.py
# Author: xiao tian
# Datetime: 2025/5/10 16:26
# Description:
# 命名规范：文件名全小写+下划线，类名大驼峰，方法和变量小写+下划线连接，
# 常量大写，变量和常量用名词，方法用动词
# --------------------------------------------------------------------------
import pytest

from APIAutoTest_v3test import log_decorator
from APIAutoTest_v3test.common.read_excel import ReadExcel
from APIAutoTest_v3test.common.read_system_ini import ReadSystemIni
from APIAutoTest_v3test.request_method.request_method import RequestMethod

datas = ReadExcel(ReadSystemIni().get_user("user1")).get_data()


class TestBPM:

    @log_decorator
    @pytest.mark.parametrize("req, url, mime, case, expect, sql_type, sql_data, update_key", datas)
    def test_bpm (self, req_fix1, req, url, mime, case, expect, sql_type, sql_data, update_key):
        res = req_fix1.request_all(req_method=req,req_url=url,req_mime=mime,case_data=case,sql_type=sql_type,sql_data=sql_data,update_key=update_key)
        try:
            for key in expect:
                assert expect[key] == res.json().get(key)
        except AssertionError :
            raise AssertionError(f"断言失败，\n\t请求的url为：{url}, \n\t用例数据为：{case}, \n\t期望数据为：{expect}, \n\t服务器返回的数据为：{res.text}")



























